local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua')
local ScenarioFramework = import('/lua/ScenarioFramework.lua')
local TeleportUtils = import(string.gsub(ScenarioInfo.map, '[^/]*.scmap' ,'cardiacutils_teleport.lua'))

function OnPopulate()
	ScenarioUtils.InitializeArmies()
	--ScenarioFramework.SetPlayableArea(ScenarioUtils.AreaToRect('AREA_1'))
end

function OnStart(self)
	local leftBridge = 215
	local rightBridge = 512-215
	local bridgeWidth = 35
	local teleportationZones =
	{
		{
			sourceZone = Rect(leftBridge,0,rightBridge,512), -- redirect if into zone and
			targetZone = Rect(0,0,leftBridge,512), -- move order into this zone is issued
			name ='centerToLeft',
			teleporterSource = TeleportUtils.Pos(leftBridge+bridgeWidth/2,258),
			teleporterDest = TeleportUtils.Pos(leftBridge-bridgeWidth/2,263),
			unitCategory = categories.NAVAL
		},
		{
			sourceZone = Rect(0,0,leftBridge,512), -- redirect if into zone and
			targetZone = Rect(leftBridge,0,rightBridge,512) ,-- move order into this zone is issued
			name ='leftToCenter',
			teleporterSource = TeleportUtils.Pos(leftBridge-bridgeWidth/2,263),
			teleporterDest = TeleportUtils.Pos(leftBridge+bridgeWidth/2,258),
			unitCategory = categories.NAVAL
		},
		{
			sourceZone = Rect(leftBridge,0,rightBridge,512), -- redirect if into zone and
			targetZone = Rect(rightBridge,0,512,512), -- move order into this zone is issued
			name ='centerToRight',
			teleporterSource = TeleportUtils.Pos(rightBridge-bridgeWidth/2,255),
			teleporterDest = TeleportUtils.Pos(rightBridge+bridgeWidth/2,248),
			unitCategory = categories.NAVAL
		},
		{
			sourceZone = Rect(rightBridge+2,0,512,512), -- redirect if into zone and
			targetZone = Rect(leftBridge+2,0,rightBridge-2,512), -- move order into this zone is issued
			name ='rightToCenter',
			teleporterSource = TeleportUtils.Pos(rightBridge+bridgeWidth/2,248),
			teleporterDest = TeleportUtils.Pos(rightBridge-bridgeWidth/2,255),
			unitCategory = categories.NAVAL
		},
	}
	TeleportUtils.init(teleportationZones)
end
